OpenNMS API 1.2.9

## org.opennms.netmgt.config.scriptd
Class ScriptdConfiguration

    java.lang.Object
      org.opennms.netmgt.config.scriptd.ScriptdConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class ScriptdConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_engineList`
`private java.util.ArrayList` `_eventScriptList`
`private java.util.ArrayList` `_reloadScriptList`
`private java.util.ArrayList` `_startScriptList`
`private java.util.ArrayList` `_stopScriptList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`ScriptdConfiguration()`

Method Summary
`void` `addEngine(Engine vEngine)`
`void` `addEngine(int index, Engine vEngine)`
`void` `addEventScript(EventScript vEventScript)`
`void` `addEventScript(int index, EventScript vEventScript)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addReloadScript(int index, ReloadScript vReloadScript)`
`void` `addReloadScript(ReloadScript vReloadScript)`
`void` `addStartScript(int index, StartScript vStartScript)`
`void` `addStartScript(StartScript vStartScript)`
`void` `addStopScript(int index, StopScript vStopScript)`
`void` `addStopScript(StopScript vStopScript)`
`void` `clearEngine()`
`void` `clearEventScript()`
`void` `clearReloadScript()`
`void` `clearStartScript()`
`void` `clearStopScript()`
`java.util.Enumeration` `enumerateEngine()`
`java.util.Enumeration` `enumerateEventScript()`
`java.util.Enumeration` `enumerateReloadScript()`
`java.util.Enumeration` `enumerateStartScript()`
`java.util.Enumeration` `enumerateStopScript()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Engine[]` `getEngine()`
`Engine` `getEngine(int index)`
`java.util.Collection` `getEngineCollection()`
`int` `getEngineCount()`
`EventScript[]` `getEventScript()`
`EventScript` `getEventScript(int index)`
`java.util.Collection` `getEventScriptCollection()`
`int` `getEventScriptCount()`
`ReloadScript[]` `getReloadScript()`
`ReloadScript` `getReloadScript(int index)`
`java.util.Collection` `getReloadScriptCollection()`
`int` `getReloadScriptCount()`
`StartScript[]` `getStartScript()`
`StartScript` `getStartScript(int index)`
`java.util.Collection` `getStartScriptCollection()`
`int` `getStartScriptCount()`
`StopScript[]` `getStopScript()`
`StopScript` `getStopScript(int index)`
`java.util.Collection` `getStopScriptCollection()`
`int` `getStopScriptCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeEngine(Engine vEngine)`
`boolean` `removeEventScript(EventScript vEventScript)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeReloadScript(ReloadScript vReloadScript)`
`boolean` `removeStartScript(StartScript vStartScript)`
`boolean` `removeStopScript(StopScript vStopScript)`
`void` `setEngine(Engine[] engineArray)`
`void` `setEngine(int index, Engine vEngine)`
`void` `setEngineCollection(java.util.Collection vEngine)`
`void` `setEventScript(EventScript[] eventScriptArray)`
`void` `setEventScript(int index, EventScript vEventScript)`
`void` `setEventScriptCollection(java.util.Collection vEventScript)`
`void` `setReloadScript(int index, ReloadScript vReloadScript)`
`void` `setReloadScript(ReloadScript[] reloadScriptArray)`
`void` `setReloadScriptCollection(java.util.Collection vReloadScript)`
`void` `setStartScript(int index, StartScript vStartScript)`
`void` `setStartScript(StartScript[] startScriptArray)`
`void` `setStartScriptCollection(java.util.Collection vStartScript)`
`void` `setStopScript(int index, StopScript vStopScript)`
`void` `setStopScript(StopScript[] stopScriptArray)`
`void` `setStopScriptCollection(java.util.Collection vStopScript)`
`static ScriptdConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _engineList

    private java.util.ArrayList _engineList

### _startScriptList

    private java.util.ArrayList _startScriptList

### _stopScriptList

    private java.util.ArrayList _stopScriptList

### _reloadScriptList

    private java.util.ArrayList _reloadScriptList

### _eventScriptList

    private java.util.ArrayList _eventScriptList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### ScriptdConfiguration

    public ScriptdConfiguration()

Method Detail

### addEngine

    public void addEngine(Engine vEngine)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vEngine` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addEngine

    public void addEngine(int index,
                          Engine vEngine)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vEngine` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addEventScript

    public void addEventScript(EventScript vEventScript)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vEventScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addEventScript

    public void addEventScript(int index,
                               EventScript vEventScript)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vEventScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addReloadScript

    public void addReloadScript(ReloadScript vReloadScript)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vReloadScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addReloadScript

    public void addReloadScript(int index,
                                ReloadScript vReloadScript)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vReloadScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addStartScript

    public void addStartScript(StartScript vStartScript)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vStartScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addStartScript

    public void addStartScript(int index,
                               StartScript vStartScript)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vStartScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addStopScript

    public void addStopScript(StopScript vStopScript)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vStopScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addStopScript

    public void addStopScript(int index,
                              StopScript vStopScript)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vStopScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearEngine

    public void clearEngine()

### clearEventScript

    public void clearEventScript()

### clearReloadScript

    public void clearReloadScript()

### clearStartScript

    public void clearStartScript()

### clearStopScript

    public void clearStopScript()

### enumerateEngine

    public java.util.Enumeration enumerateEngine()

### enumerateEventScript

    public java.util.Enumeration enumerateEventScript()

### enumerateReloadScript

    public java.util.Enumeration enumerateReloadScript()

### enumerateStartScript

    public java.util.Enumeration enumerateStartScript()

### enumerateStopScript

    public java.util.Enumeration enumerateStopScript()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getEngine

    public Engine getEngine(int index)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getEngine

    public Engine[] getEngine()

### getEngineCollection

    public java.util.Collection getEngineCollection()

### getEngineCount

    public int getEngineCount()

### getEventScript

    public EventScript getEventScript(int index)
                               throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getEventScript

    public EventScript[] getEventScript()

### getEventScriptCollection

    public java.util.Collection getEventScriptCollection()

### getEventScriptCount

    public int getEventScriptCount()

### getReloadScript

    public ReloadScript getReloadScript(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getReloadScript

    public ReloadScript[] getReloadScript()

### getReloadScriptCollection

    public java.util.Collection getReloadScriptCollection()

### getReloadScriptCount

    public int getReloadScriptCount()

### getStartScript

    public StartScript getStartScript(int index)
                               throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getStartScript

    public StartScript[] getStartScript()

### getStartScriptCollection

    public java.util.Collection getStartScriptCollection()

### getStartScriptCount

    public int getStartScriptCount()

### getStopScript

    public StopScript getStopScript(int index)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getStopScript

    public StopScript[] getStopScript()

### getStopScriptCollection

    public java.util.Collection getStopScriptCollection()

### getStopScriptCount

    public int getStopScriptCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeEngine

    public boolean removeEngine(Engine vEngine)

  Parameters:
    `vEngine` -

### removeEventScript

    public boolean removeEventScript(EventScript vEventScript)

  Parameters:
    `vEventScript` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeReloadScript

    public boolean removeReloadScript(ReloadScript vReloadScript)

  Parameters:
    `vReloadScript` -

### removeStartScript

    public boolean removeStartScript(StartScript vStartScript)

  Parameters:
    `vStartScript` -

### removeStopScript

    public boolean removeStopScript(StopScript vStopScript)

  Parameters:
    `vStopScript` -

### setEngine

    public void setEngine(int index,
                          Engine vEngine)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vEngine` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setEngine

    public void setEngine(Engine[] engineArray)

  Parameters:
    `engineArray` -

### setEngineCollection

    public void setEngineCollection(java.util.Collection vEngine)

  Parameters:
    `vEngine` -

### setEventScript

    public void setEventScript(int index,
                               EventScript vEventScript)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vEventScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setEventScript

    public void setEventScript(EventScript[] eventScriptArray)

  Parameters:
    `eventScriptArray` -

### setEventScriptCollection

    public void setEventScriptCollection(java.util.Collection vEventScript)

  Parameters:
    `vEventScript` -

### setReloadScript

    public void setReloadScript(int index,
                                ReloadScript vReloadScript)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vReloadScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setReloadScript

    public void setReloadScript(ReloadScript[] reloadScriptArray)

  Parameters:
    `reloadScriptArray` -

### setReloadScriptCollection

    public void setReloadScriptCollection(java.util.Collection vReloadScript)

  Parameters:
    `vReloadScript` -

### setStartScript

    public void setStartScript(int index,
                               StartScript vStartScript)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vStartScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setStartScript

    public void setStartScript(StartScript[] startScriptArray)

  Parameters:
    `startScriptArray` -

### setStartScriptCollection

    public void setStartScriptCollection(java.util.Collection vStartScript)

  Parameters:
    `vStartScript` -

### setStopScript

    public void setStopScript(int index,
                              StopScript vStopScript)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vStopScript` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setStopScript

    public void setStopScript(StopScript[] stopScriptArray)

  Parameters:
    `stopScriptArray` -

### setStopScriptCollection

    public void setStopScriptCollection(java.util.Collection vStopScript)

  Parameters:
    `vStopScript` -

### unmarshal

    public static ScriptdConfiguration unmarshal(java.io.Reader reader)
                                          throws org.exolab.castor.xml.MarshalException,
                                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.